import requests
url = "https://{FUSION_HOST.com}/api/templating/renderId/{templateId}"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"templateId": "441eb3be-7de6-470a-8141-e416a15c7db1",
"rendered": [
{
"zone": {
"name": "Results List",
"id": "6a092bd4-5098-466c-94aa-40bf68294303",
"type": "result-list",
"queryProfile": "query-profile-name",
"omitFilters": false,
"dirty": false,
"neverPublished": false,
"metadata": {
"image": "image-id",
"secondary": "_text_",
"primary": "primary-metadata-id",
"layout": "grid"
}
},
"inTemplates": [
"e123f4bc-5e7e-46dd-9be8-71a4f73e511a, 8084969c-bd23-40f7-9acf-c68d6798bec2, 441eb3be-7de6-470a-8141-e416a15c7db1, fb148491-b39e-46d1-af33-44cd964d8ee0"
],
"staging": false,
"published": false,
"layout": "grid"
}
],
"render": {
"response": {
"docs": [
"<string>"
],
"numFound": 123,
"start": 123,
"maxScore": 123,
"numFoundExact": true
}
},
"responseHeader": {
"zkConnected": true,
"QTime": 123,
"totalTime": 123,
"params": {
"_stateVer_": "your-app-name:version",
"lw.pipelineId": "<string>",
"start": 3,
"params": "\"dictionary[\\\"key1\\\" : \\\"value1\\\", \\\"key2\\\" : [\\\"one\\\", \\\"two\\\", \\\"a\\\", \\\"B\\\", \\\"bubbles\\\"], \\\"key3\\\" : [\\\"five bubbles\\\", \\\"sunny\\\"], \\\"key4\\\" : \\\"value4\\\"\",",
"rows": 10,
"version": "2.2",
"queryProfileID": "query-profile",
"isFusionQuery": true,
"defType": "eDisMax",
"templateTypes": "landing",
"showInactive": true,
"shards.preference": "<string>",
"wt": "json",
"staging": true,
"fusionQueryId": "fusion-query-id"
}
},
"status": 0
}Post Fusion template updates using specific templateId
Retrieve and render the template with the specified ID. All provided query parameters will be passed on to each query profile invoked during rendering.
import requests
url = "https://{FUSION_HOST.com}/api/templating/renderId/{templateId}"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"templateId": "441eb3be-7de6-470a-8141-e416a15c7db1",
"rendered": [
{
"zone": {
"name": "Results List",
"id": "6a092bd4-5098-466c-94aa-40bf68294303",
"type": "result-list",
"queryProfile": "query-profile-name",
"omitFilters": false,
"dirty": false,
"neverPublished": false,
"metadata": {
"image": "image-id",
"secondary": "_text_",
"primary": "primary-metadata-id",
"layout": "grid"
}
},
"inTemplates": [
"e123f4bc-5e7e-46dd-9be8-71a4f73e511a, 8084969c-bd23-40f7-9acf-c68d6798bec2, 441eb3be-7de6-470a-8141-e416a15c7db1, fb148491-b39e-46d1-af33-44cd964d8ee0"
],
"staging": false,
"published": false,
"layout": "grid"
}
],
"render": {
"response": {
"docs": [
"<string>"
],
"numFound": 123,
"start": 123,
"maxScore": 123,
"numFoundExact": true
}
},
"responseHeader": {
"zkConnected": true,
"QTime": 123,
"totalTime": 123,
"params": {
"_stateVer_": "your-app-name:version",
"lw.pipelineId": "<string>",
"start": 3,
"params": "\"dictionary[\\\"key1\\\" : \\\"value1\\\", \\\"key2\\\" : [\\\"one\\\", \\\"two\\\", \\\"a\\\", \\\"B\\\", \\\"bubbles\\\"], \\\"key3\\\" : [\\\"five bubbles\\\", \\\"sunny\\\"], \\\"key4\\\" : \\\"value4\\\"\",",
"rows": 10,
"version": "2.2",
"queryProfileID": "query-profile",
"isFusionQuery": true,
"defType": "eDisMax",
"templateTypes": "landing",
"showInactive": true,
"shards.preference": "<string>",
"wt": "json",
"staging": true,
"fusionQueryId": "fusion-query-id"
}
},
"status": 0
}Path Parameters
The universal unique identifier (UUID) of the template.
"441eb3be-7de6-470a-8141-e416a15c7db1"
Query Parameters
The legacy parameter that is the same as the staging parameter. This field indicates if the request is set to retrieve published or unpublished (staging) templates. The default of false retrieves published templates. If set to true, the request retrieves unpublished (staging) templates.
This field indicates if the request is set to retrieve published or unpublished (staging) templates. The default of false retrieves published templates. If set to true, the request retrieves unpublished (staging) templates.
Body
Response
OK
The universal unique identifier (UUID) of the triggered template containing the rendered zones.
"441eb3be-7de6-470a-8141-e416a15c7db1"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The status of the response. A value of 0 indicates success.
0
Was this page helpful?